<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Dispositivo de Cuidado en residencias : "/>
        <p:separator />
    <h:form rendered="#{!institucionMB.editMode}">
		<p:commandButton value="Nuevo" action="#{institucionMB.reset}" ajax="false" rendered="#{institucionMB.puedeEditar()}"/>        
        <p:separator />
        <p:dataTable id="instituciones" var="ent" value="#{institucionMB.list}" 
                 emptyMessage="No hay resultados para esa busqueda"
                 widgetVar="tabla"
                 rows="25" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar:" />
	                <p:inputText id="globalFilter" onkeyup="PF('tabla').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column headerText="Equipo Territorial Provincial" filterBy="#{ent.zonal.nombre}" filterMatchMode="contains">
                <p:outputLabel value="#{ent.zonal.nombre}" />
            </p:column>
            
            <p:column headerText="Tipo de institución" filterBy="#{ent.tipoInstitucion.nombre}" filterMatchMode="contains">
                <p:outputLabel value="#{ent.tipoInstitucion.nombre}" />
            </p:column>
            
            <p:column headerText="Nombre" filterBy="#{ent.nombre}" filterMatchMode="contains">
                <p:outputLabel value="#{ent.nombre}" />
            </p:column>
            
            <p:column headerText="Género admitido" filterBy="#{ent.sexo.descripcion}" filterMatchMode="contains">
                <p:outputLabel value="#{ent.sexo.descripcion}"  />
            </p:column>
            
            <p:column headerText="Ver Nómina">
   				<p:commandButton  action="/legajo/listado.xhtml" 
   						icon="ui-icon-search"
   						actionListener="#{legajoMB.setParamsBusqueda}"
   						ajax="false">
       				<f:attribute name="listByParam" value="#{institucionMB.getLegajos(ent)}" />
       			</p:commandButton>   
   			</p:column> 

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="#{institucionMB.puedeEditar()?'Editar':'Consultar'}" />
                </f:facet>
                <p:commandButton id="edit" action="#{institucionMB.edit(ent)}" icon="#{institucionMB.puedeEditar()?'ui-icon-pencil':'ui-icon-search'}" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column rendered="#{institucionMB.puedeEditar()}">
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages instituciones" action="#{institucionMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar la Institución?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{institucionMB.reset}" ajax="false" rendered="#{institucionMB.puedeEditar()}"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>   
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
    <h:form rendered="#{institucionMB.editMode}">
         <p:panelGrid columns="3" >
            
            	<p:outputLabel for="zonal" value="Equipo Territorial Provincial :"/>
           		<p:selectOneMenu value="#{institucionMB.instance.zonal}" converter="zonalConverter" id="zonal" 
           				label="Equipo Territorial Provincial" required="true" disabled="#{!institucionMB.puedeEditar()}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{commonSelectorsMB.getZonales(institucionMB.instance.zonal)}" var="zonal"
                              itemValue="#{zonal}"
                              itemLabel="#{zonal.nombre}"/>
           		</p:selectOneMenu>
          		<p:message  for="zonal" display="icon"/>  
          		
          		<p:outputLabel for="tipoInst" value="Tipo de institución :"/>
           		<p:selectOneMenu id="tipoInst" value="#{institucionMB.instance.tipoInstitucion}" 
           			converter="tipoInstitucionConverter" required="true" 
           			disabled="#{!institucionMB.puedeEditar()}" >
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.getTiposInstituciones(institucionMB.instance.tipoInstitucion)}" var="ent"
                               itemValue="#{ent}"
                               itemLabel="#{ent.nombre}"/>
           		</p:selectOneMenu>
                <p:message  for="tipoInst" display="icon"/>
          		
                <p:outputLabel for="nombre" value="Nombre : " />
                <p:inputText id="nombre" value="#{institucionMB.instance.nombre}" required="true"
                	readonly="#{!institucionMB.puedeEditar()}"/>
                <p:message for="nombre" display="icon"/>
                
                <p:outputLabel for="telefono" value="Teléfono : " />
                <p:inputText id="telefono" value="#{institucionMB.instance.telefono}" required="true"
                	readonly="#{!institucionMB.puedeEditar()}" validatorMessage="Solo se permiten numeros para el campo telefono">
    					<f:validateRegex  pattern="\d*(.\d+)?" />
    			</p:inputText>
                <p:message for="telefono" display="icon"/>
                
                <p:outputLabel for="ubicacion" value="Ubicación : " />
                <p:inputText id="ubicacion" value="#{institucionMB.instance.ubicacion}" required="true"
                	readonly="#{!institucionMB.puedeEditar()}"/>
                <p:message for="ubicacion" display="icon"/>
                
                <p:outputLabel for="coordenadas" value="Coordenadas geográficas : " />
                <p:inputText id="coordenadas" value="#{institucionMB.instance.coordenadas}" required="true"
                	readonly="#{!institucionMB.puedeEditar()}"/>
                <p:message for="coordenadas" display="icon"/>
                
                <p:outputLabel for="tipoDependencia" value="Tipo / Dependencia :"/>
           		<p:selectOneMenu id="tipoDependencia" value="#{institucionMB.instance.tipoDependencia}" 
           			disabled="#{!institucionMB.puedeEditar()}" >
           				<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.valoresTipoDependencia}" var="elemtpoD"
                              itemValue="#{elemtpoD}"
                              itemLabel="#{elemtpoD.descripcion}" />
                        <p:ajax event="change" update="conConvenio personeria" listener="#{institucionMB.cambiaTpoDependencia()}"/>
           		</p:selectOneMenu>
                <p:message  for="tipoDependencia" display="icon"/>
                
                <p:outputLabel for="conConvenio" value="Con convenio :"/>
           		<p:selectOneMenu id="conConvenio" value="#{institucionMB.instance.conConvenio}" disabled="#{institucionMB.instance.tipoDependencia != 'ONG'}" >
           				<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.valoresSiNo}" var="elemCC"
                              itemValue="#{elemCC}"
                              itemLabel="#{elemCC.descripcion}" />
           		</p:selectOneMenu>
                <p:message  for="conConvenio" display="icon"/>
                
				<p:outputLabel for="personeria" value="Personería Jurídica : " />
            	<p:selectBooleanCheckbox id="personeria" value="#{institucionMB.instance.personeriaJuridica}">
            	</p:selectBooleanCheckbox>
				<p:message  for="personeria" display="icon"/>
				
                <p:outputLabel for="sexo" value="Género admitido :"/>
           		<p:selectOneMenu id="sexo" value="#{institucionMB.instance.sexo}" 
           			disabled="#{!institucionMB.puedeEditar()}" >
                		<f:selectItems value="#{commonSelectorsMB.valoresSexoAdmision}" var="elemsexo"
                              itemValue="#{elemsexo}"
                              itemLabel="#{elemsexo.descripcion}" />
           		</p:selectOneMenu>
                <p:message  for="sexo" display="icon"/>
                
                <p:outputLabel for="instResp" value="Responsable de la Institución : " />
                <p:inputText id="instResp" value="#{institucionMB.instance.institucionResponsable}"
                	readonly="#{!institucionMB.puedeEditar()}" />
                <p:message for="instResp" display="icon"/>
                
                <p:outputLabel for="respLegal" value="Responsable Legal : " />
                <p:inputText id="respLegal" value="#{institucionMB.instance.responsableLegal}"
                	readonly="#{!institucionMB.puedeEditar()}" />
                <p:message for="respLegal" display="icon"/>
                
                <p:outputLabel for="respEspConv" value="Responsable Espacio Convivencial : " />
                <p:inputText id="respEspConv" value="#{institucionMB.instance.respEspConvivencial}" 
                	readonly="#{!institucionMB.puedeEditar()}"/>
                <p:message for="respEspConv" display="icon"/>
                
                <p:outputLabel for="email" value="Email : " />
                <p:inputText id="email" value="#{institucionMB.instance.email}" required="true"
                		readonly="#{!institucionMB.puedeEditar()}">
                	<f:validateRegex for="email" 
						pattern="^[_A-Za-z0-9-\+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$" />
				</p:inputText>
                <p:message for="email" display="icon"/>
                
                <p:outputLabel  value="Edad Admisión: " />
                <p:panelGrid columns="4">
                	<p:outputLabel for="edadDesde" value="Desde " />
                	<p:spinner id="edadDesde"  value="#{institucionMB.instance.edadDesde}" size="3"
                		disabled="#{!institucionMB.puedeEditar()}" />
                	<p:outputLabel for="edadHasta" value="Hasta " />
                	<p:spinner id="edadHasta" value="#{institucionMB.instance.edadHasta}" size="3"
                		disabled="#{!institucionMB.puedeEditar()}"/>
                </p:panelGrid>
                <h:panelGroup/>
                
                <p:outputLabel for="plazas" value="Plazas : " />
                <p:spinner id="plazas" value="#{institucionMB.instance.plazas}" size="4"
                	disabled="#{!institucionMB.puedeEditar()}" />
                <p:message for="plazas" display="icon"/>
                
                <p:outputLabel for="observaciones" value="Observaciones : " />
	            <p:inputTextarea id="observaciones" value="#{institucionMB.instance.observaciones}"  
	            	rows="5" cols="100" readonly="#{!institucionMB.puedeEditar()}"/>
				<p:message for="observaciones" display="icon"/>
        
        </p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{institucionMB.save}" ajax="false"
        	rendered="#{institucionMB.puedeEditar()}"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{institucionMB.cancel}" ajax="false" immediate="true"/>
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>    
    </h:form>
	</ui:define>
</ui:composition>
